Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
Problem mit rpm-paketen

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Sonstiges
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
buffy



Anmeldungsdatum: 02.04.2001
Beiträge: 3

BeitragVerfasst am: 02. Apr 2001 2:07   Titel: Problem mit rpm-paketen

Hallo ihr lieben

da ein kollege von mir leider gekündigt hat, muss ich mich selbstständig in linux zurechtfinden. leider hab ich davon gar keine ahnung und kann gerade mal die programme über die startleiste in kde ausführen und bedienen. aber mehr leider nicht. achja, die installation von linux suse 7.1 pro hab ich auch geschafft *g*

http://www.linuxfibel.de hat eine sehr gute dokumentation für einsteiger. leider funktioniert bei mir etwas nicht und online lesen möchte ich es auch nicht, weil ich zuhause keine flatrate habe.

ich geb in der bash also den dort angezeigten command "rpm -i linuxfibel_basis-0.6-0.i386.rpm" ein und erhalte diese fehlermeldung:

Nur Pakete mit Hauptnummern <= 3 werden von dieser RPM-Version unterstützt.
Fehler: linuxfibel_basis-0.6-0.i386.rpm cannot be installed.

dann hab ich mir die neueste version von rpm ( rpm-4.0.2-7x.i386.rpm ) geladen und versucht, diese mit "rpm -ivhU rpm-4.0.2-7x.i386.rpm" zu installieren. dabei kommt jedoch derselbe fehler.

was kann ich denn jetzt noch machen? ich weiß zwar, daß es eine möglichkeit gibt, die rpm's auch so zu entpacken und dann einzusehen, aber ich möchte, daß das später funktioniert, also bin ich an einer lösung interessiert.

mir ist auch aufgefallen, dass ich mit strg+c oder alt+c keinen text aus der bash kopieren kann? weiss auch da jemand abhilfe? kennt auch jemand eine liste, in der festgehalten ist, welches tastenkürzel was erreicht?

danke ihr lieben **
Buffy
 
Benutzer-Profile anzeigen Private Nachricht senden

Thomas Mitzkat
Gast





BeitragVerfasst am: 02. Apr 2001 11:35   Titel: Re: Problem mit rpm-paketen

Auszug von: Linuxfibel-Homepage
Anmerkung: Bislang wurden uns drei Fälle bekannt, in denen die Pakete der Kapitel 4 und 8 sich nicht installieren lassen. Auch wenn der Grund uns nicht bekannt ist, so vermuten wir Probleme mit der RPM-Version 3 (die Pakete wurden mit Version 4 erzeugt). Als Abhilfe lassen sich die Pakete mit dem Programm alien ins tgz-Format wandeln und per tar installieren (alien -t *.rpm).

Wenn Du deine Bash im grafischen Modus fährst, musst Du nur den Text makieren, Mauszeiger am Ziel absetzen und mittlere Maustaste drücken.

Thomas
 

buffy



Anmeldungsdatum: 02.04.2001
Beiträge: 3

BeitragVerfasst am: 02. Apr 2001 16:55   Titel: Re: Problem mit rpm-paketen

Hallo Thomas

ich hab mir die seite auch komplett durchgelesen und hab das mit alien auch beachtet, jedoch noch nicht ausprobiert. ich hab im letzten beitrag vergessen, folgendes zu erwähnen:

die neueste version von rpm lässt sich auch nicht installieren:

root@buffy:/home/buffy > rpm -ivhU rpm-4.0.2-7x.i386.rpm
Nur Pakete mit Hauptnummern <= 3 werden von dieser RPM-Version unterstützt
Fehler: rpm-4.0.2-7x.i386.rpm cannot be installed

da ich ja in zukunft auch andere software über den paketmanager installieren möchte, wüsste ich schon gerne, wo das problem liegt. wie bekomme ich denn jetzt die neue version des rpm rauf? muss ich da erst kompilieren oder geht das auch anders?

und was die mittlere maustaste betrifft: hab leider immer noch eine alte 2tasten maus ohne scrollrad :(

danke für eure hilfe!
Buffy
 
Benutzer-Profile anzeigen Private Nachricht senden

Leander Hanwald
Gast





BeitragVerfasst am: 02. Apr 2001 18:26   Titel: Re: Problem mit rpm-paketen

@ Buffy

Wo hast du den dieses rpm-4.0.2-7x.i386.rpm Paket her? Das ist doch sicher nicht das von SuSE Server oder?
 

rakl



Anmeldungsdatum: 17.06.2000
Beiträge: 194
Wohnort: Beckum

BeitragVerfasst am: 02. Apr 2001 18:48   Titel: Re: Problem mit rpm-paketen

mit den rpm-Paketen von linuxfibel.de hab ich mich auch schon "rumgeärgert". alien funktioniert bei mir auch nicht.

Zur mittleren Maustaste, versuch mal beide gleichzeitig zu drücken, Wenn das System richtig eingestellt ist wird die 3.Taste emuliert.
Gruß
Rainer
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen

buffy



Anmeldungsdatum: 02.04.2001
Beiträge: 3

BeitragVerfasst am: 02. Apr 2001 20:23   Titel: Re: Problem mit rpm-paketen

@ Leander : stimmt, das ist nicht von suse sondern von ftp.rpm.org .. auf dem suse ftp gibts nämlich nur die 3.x die ich ja sowieso schon habe.

@ rakl : werd das mit den beiden maustasten mal ausprobieren. thx

Buffy
 
Benutzer-Profile anzeigen Private Nachricht senden

Leander Hanwald
Gast





BeitragVerfasst am: 02. Apr 2001 20:57   Titel: Re: Problem mit rpm-paketen

@ Buffy

Deine RPM Probleme kann ich lösen :)

http://sdb.suse.de/sdb/de/html/thallma_rpm_40.html

Da steht alles was du brauchst. Viel spaß damit.
 

Buffy
Gast





BeitragVerfasst am: 02. Apr 2001 22:08   Titel: Re: Problem mit rpm-paketen

@ Leander : ja das scheint das problem gewesen zu sein .. vielen herzlichen dank *knutsch*

Buffy
 

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Sonstiges Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy